@import "scss/var.scss";

.account-information {
    font-size: 16px;

    &__left {
        width: 209px;
    }

    &__right {
        width: 1015px;
        width: calc(100% - 209px);

        .title_cate {
            svg {
                display: none
            }
        }
    }

    @media (max-width: 991px) {
        &__left {
            display: none
        }

        &__right {
            width: 100%;

            .mt30 {
                margin-top: 0 !important;
            }

            .btn-default {
                width: 100%;
            }
        }
    }

    .menu__nav {
        font-size: 16px;
        border-left: 1px solid #E3E7EF;
        padding-left: 10px;

        li {
            margin-bottom: 16px;
            position: relative;

            a {
                display: block;
            }

            svg {
                width: 24px;
                height: 24px;
                margin-right: 5px;
                vertical-align: top;
            }

            &.active {
                &::before {
                    content: "";
                    background: var(--color_main);
                    position: absolute;
                    left: -13px;
                    width: 3px;
                    height: 24px;
                }

                a {
                    font-weight: 600;
                }
            }
        }
    }
}

.min-width {
    max-width: 808px;
}

.choose-ava {
    display: flex;
    align-items: center;

    .ava {
        width: 72px;
        height: 72px;
        margin-right: 8px;
        border-radius: 50%;
        overflow: hidden;
    }

    .choose {
        cursor: pointer;

        input {
            display: none
        }

        span {
            color: #414956;
            font-weight: 600;
            font-size: 14px;
            border: 1px solid #E3E7EF;
            border-radius: 56px;
            padding: 0 20px;
            height: 36px;
            line-height: 35px;
            text-align: center;
            display: inline-block;
        }
    }

    @media (max-width: 991px) {
        flex-wrap: wrap;
        justify-content: center;

        .ava {
            margin: 0 0 16px 0;
        }

        .choose {
            width: 100%;
            text-align: center;
        }
    }
}

.setting-notifi {
    margin: -10px -120px -10px -120px;

    .items {
        width: 50%;
        font-size: 14px;
        margin: 11px 0;
        padding: 0 120px;

        .icon {
            margin-right: 5px;
        }

        .toggle {
            position: relative;
            width: 32px;
            height: 19px;
            border: 2px solid #000000;
            float: right;
            margin-top: 2px;
            border-radius: 10px;
            cursor: pointer;

            &::before {
                content: "";
                width: 10px;
                height: 10px;
                border: 2px solid #000000;
                position: absolute;
                border-radius: 50%;
                right: 2px;
                top: 2px;
                transition: 0.5s ease;
            }

            &.active {
                background: var(--color_main);

                &::before {
                    right: inherit;
                    left: 2px;
                }
            }
        }
    }

    @media (max-width: 1025px) {
        margin: -10px -30px -10px -30px;

        .items {
            padding: 0 30px
        }
    }

    @media (max-width: 576px) {
        .items {
            width: 100%;
        }
    }
}

.history-order {
    &__mobile {
        display: none;
        font-size: 14px;

        .hed {
            cursor: pointer;
            font-size: 16px;
            margin: 0 -15px 0 -15px;
            margin-bottom: 0;
            position: relative;
            padding: 18px 30px 18px 18px;
            border-bottom: 1px solid var(--gray100);
            text-align: center;
        }

        ul {
            margin: 0 -15px;

            li {
                padding: 14px 16px;
                border-bottom: 1px solid var(--gray100);

                .title {
                    font-size: 14px;
                    margin-bottom: 8px;
                }
            }
        }
    }
}

.back_step {
    display: none;
}

.page-step {
    .back_step {
        display: none
    }
}

@media (max-width: 480px) {
    .page-step {
        main {
            padding: 0;
        }

        .fixed_toptop,
        header,
        footer {
            display: none
        }

        .back_step {
            display: block;
            width: 100%;
            background: #fff;
            z-index: 998;
            padding: 22px 30px 22px 18px;
            text-align: center;
            border-bottom: 1px solid var(--gray100);

            .back {
                position: absolute;
                left: 16px;
                top: 18px;
                cursor: pointer
            }

            .title_cate {
                margin-bottom: 0;
                font-size: 16px;
                font-weight: bold;
            }
        }
    }

    .account-information__right {
        .items_dropdown {
            position: relative;
            margin-left: -15px;
            margin-right: -15px;
            border-bottom: 1px solid var(--gray100);

            &.mb40 {
                margin-bottom: 0 !important;
            }

            .title_cate {
                cursor: pointer;
                font-size: 16px;
                font-weight: 600;
                margin-bottom: 0;
                position: relative;
                padding: 18px 30px 18px 18px;

                svg {
                    display: block;
                    position: absolute;
                    right: 16px;
                    top: 18px;
                    transform: rotate(-90deg);
                }

                &.active {
                    svg {
                        transform: rotate(90deg);
                    }

                    &+.border-warp {
                        display: block
                    }
                }
            }
        }

        .border-warp {
            border: 0 !important;
            padding: 6px 16px 16px 16px !important;
            position: relative;
            display: none;
        }

        .leverl-user {
            .ml_16 {
                display: block;
                margin-left: 0;
            }
        }
    }

    .list-product__like {
        margin-top: 24px !important;
    }

    .history-order {
        display: none;

        &__mobile {
            display: block;
        }
    }
}

.page-login {
    .back_step {
        border-bottom-color: transparent;
    }
    .title_cate {
        color: transparent;
    }
    .tab-default {
        border-bottom-width: 3px;
        a {
            width: 50%;
            text-align: center;
            height: 55px;
            line-height: 55px;
            font-size: 18px;
            &::before {
                bottom: -3px;
            }
        }
        
    }
    .tab-container {
        padding: 0 16px;
    }
    .button-bottom {
        .btn {
            display: block;
            width: 100%;
        }
    }
}